Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.sprm
Class SprmBuffer

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmBuffer

All Implemented Interfaces:
  java.lang.Cloneable

    public final class SprmBuffer

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`SprmBuffer()`
`SprmBuffer(byte[] buf)`
`SprmBuffer(byte[] buf, boolean istd)`

Method Summary
`void` | `addSprm(short opcode, byte operand)`
`void` | `addSprm(short opcode, byte[] operand)`
`void` | `addSprm(short opcode, int operand)`
`void` | `addSprm(short opcode, short operand)`
`void` | `append(byte[] grpprl)`
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`byte[]` | `toByteArray()`
`void` | `updateSprm(short opcode, byte operand)`
`void` | `updateSprm(short opcode, int operand)`
`void` | `updateSprm(short opcode, short operand)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SprmBuffer

    public SprmBuffer(byte[] buf,
                      boolean istd)

### SprmBuffer

    public SprmBuffer(byte[] buf)

### SprmBuffer

    public SprmBuffer()

Method Detail

### updateSprm

    public void updateSprm(short opcode,
                           byte operand)

### updateSprm

    public void updateSprm(short opcode,
                           short operand)

### updateSprm

    public void updateSprm(short opcode,
                           int operand)

### addSprm

    public void addSprm(short opcode,
                        byte operand)

### addSprm

    public void addSprm(short opcode,
                        short operand)

### addSprm

    public void addSprm(short opcode,
                        int operand)

### addSprm

    public void addSprm(short opcode,
                        byte[] operand)

### toByteArray

    public byte[] toByteArray()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### append

    public void append(byte[] grpprl)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD